# Qwen 3 TTS - Text to Speech [1.7B] API

> ကြိုတင်သတ်မှတ်အသံများ၊ စတိုင်ပရောမ့်နှင့် clone ပြုလုပ်ထားသော အသံအထောက်အပံ့ပါသော ပိုကြီးသည့် 1.7B Qwen3 text-to-speech

`text` ကို 1.7B မော်ဒယ်ဖြင့် စကားသံအဖြစ် ပြောင်းပေးသည်။ ကြိုတင်သတ်မှတ်ထားသော စကားသံ 9 မျိုးထဲမှ တစ်မျိုးကို အသုံးပြုနိုင်သည် သို့မဟုတ် `speaker_voice_embedding_file_url` မှတစ်ဆင့် ကူးယူထားသော စကားသံကို အသုံးပြုနိုင်သည်၊ ကူးယူရန် `reference_text` ကို ထည့်ပါ။ Embedding မပေးထားပါက ရွေးချယ်နိုင်သော `prompt` ဖြင့် ပြောဆိုသည့် စတိုင်ကို လမ်းညွှန်နိုင်သည်။ `language` သည် Auto နှင့် ဘာသာစကား 10 မျိုးကို လက်ခံပြီး `max_new_tokens` သည် 1 မှ 8192 အထိဖြစ်သည်။

- Model id: `qwen-3-tts/text-to-speech/1.7b`
- Made by: Alibaba
- Category: Text to Speech
- Output: audio
- Price: $0.09 / 1000 characters (cheapest run $0.09 (90 API credits))
- Run: `POST https://api.doitong.ru/v1/run/qwen-3-tts/text-to-speech/1.7b`
- Quote: `POST https://api.doitong.ru/v1/quote/qwen-3-tts/text-to-speech/1.7b`
- Docs page: https://doitong.com/my/developers/models/qwen-3-tts/text-to-speech/1.7b

## Pricing

Price: **$0.09 / 1000 characters**. Billed per character of `text` (the price is per 1000 characters).

The full example input below costs $0.005 = 5 API credits (50 characters × 90 API credits / 1000 characters).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/qwen-3-tts/text-to-speech/1.7b` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `text` |  | string | yes |  |  | စကားပြောသံအဖြစ် ပြောင်းလဲမည့် စာသားအကြောင်းအရာ။ |
| `prompt` |  | string \| null | no |  |  | စကားပြောစတိုင်အတွက် ရွေးချယ်ထည့်သွင်းနိုင်သော ညွှန်ကြားချက်များ။ စပီကာ embedding ထည့်ပေးထားပါက လျစ်လျူရှုမည်။ |
| `voice` |  | enum (string) \| null | no |  | `Vivian`, `Serena`, `Uncle_Fu`, `Dylan`, `Eric`, `Ryan`, `Aiden`, `Ono_Anna`, `Sohee` | စကားသံဖန်တီးမှုအတွက် အသံရွေးချယ်ခြင်းဖြစ်ပြီး speaker embedding ပေးထားပါက ၎င်းကို အစားထိုးအသုံးပြုမည်။ အသံအသေးစိတ်နှင့် အဓိကပံ့ပိုးထားသော ဘာသာစကားများကို [အသံဆိုင်ရာ စာရွက်စာတမ်းများ](https://github.com/QwenLM/Qwen3-TTS/tree/main?tab=readme-ov-file#custom-voice-generate) တွင် ဖော်ပြထားသည်။ |
| `language` |  | enum (string) | no | `Auto` | `Auto`, `English`, `Chinese`, `Spanish`, `French`, `German`, `Italian`, `Japanese`, `Korean`, `Portuguese`, `Russian` | အသံတွင် အသုံးပြုသည့် ဘာသာစကား။ |
| `speaker_voice_embedding_file_url` |  | string (file URL) \| null | no |  |  | ထည့်ပေးထားပါက ကြိုတင်သတ်မှတ်အသံရွေးချယ်စရာများအစား အသုံးပြုမည့် စကားပြောပေါင်းစပ်ဖန်တီးမှုအတွက် တုပွားထားသောအသံ။ |
| `reference_text` |  | string \| null | no |  |  | တုပွားထားသောအသံဖြင့် ပေါင်းစပ်ဖန်တီးမှုကို ပိုမိုကောင်းမွန်စေရန် ရွေးချယ်ထည့်သွင်းနိုင်သည့် ကိုးကားစာသား။ စပီကာ embedding ဖန်တီးရာတွင် အသုံးပြုခဲ့သည့် စာသားဖြစ်ရမည်။ |
| `top_k` |  | integer \| null | no | `50` | ≥ 0 | top-k sampling အတွက် ဆက်တင်။ |
| `top_p` |  | number \| null | no | `1` | 0 – 1 | နမူနာယူစဉ် အသုံးပြုသည့် Top-p ဆက်တင်။ |
| `temperature` |  | number \| null | no | `0.9` | ≤ 1, > 0 | နမူနာယူစဉ် အသုံးပြုသည့် အပူချိန်။ တန်ဖိုးကြီးလေ ကျပန်းဖြစ်နိုင်မှု များလေဖြစ်သည်။ |
| `repetition_penalty` |  | number \| null | no | `1.05` | ≥ 0 | တိုကင်များ သို့မဟုတ် ကုဒ်များ ထပ်ခါတလဲလဲဖြစ်မှုကို လျှော့ချပေးသည့် ပြစ်ဒဏ်။ |
| `subtalker_dosample` |  | boolean \| null | no | `true` |  | sub-talker ဖြင့် နမူနာယူမှုကို ဖွင့်/ပိတ်ပေးသည့် ခလုတ်။ |
| `subtalker_top_k` |  | integer \| null | no | `50` | ≥ 0 | sub-talker ထံမှ နမူနာယူစဉ် အသုံးပြုသည့် Top-k ဆက်တင်။ |
| `subtalker_top_p` |  | number \| null | no | `1` | 0 – 1 | sub-talker ထံမှ နမူနာယူစဉ် အသုံးပြုသည့် Top-p ဆက်တင်။ |
| `subtalker_temperature` |  | number \| null | no | `0.9` | 0 – 1 | sub-talker အသုံးပြုသည့် နမူနာယူအပူချိန်။ |
| `max_new_tokens` |  | integer \| null | no | `200` | 1 – 8,192 | အသစ်ဖန်တီးမည့် codec တိုကင်များအတွက် အမြင့်ဆုံးကန့်သတ်ချက်။ |
| `enable_safety_checker` |  | boolean | no | `true` |  | caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။ |

File parameters (`speaker_voice_embedding_file_url`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "text": "Hello from Doitong. This is a short test sentence."
}
```

A fuller example:

```json
{
  "text": "Hello from Doitong. This is a short test sentence."
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/qwen-3-tts/text-to-speech/1.7b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/qwen-3-tts/text-to-speech/1.7b?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "text": "Hello from Doitong. This is a short test sentence."
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "text": "Hello from Doitong. This is a short test sentence.",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/qwen-3-tts/text-to-speech/1.7b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "qwen-3-tts/text-to-speech/1.7b",
      "input": {
        "text": "Hello from Doitong. This is a short test sentence."
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-3-tts/text-to-speech/1.7b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "duration": 5,
      "channels": 1,
      "sample_rate": 1,
      "bitrate": "string"
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `audio` | object {url, content_type, file_name, file_size, duration, channels, sample_rate, bitrate} | ဖန်တီးထားသော စကားပြောသံပါဝင်သည့် အသံဖိုင်။ |

## Related models

- [Qwen 3 TTS - Text to Speech \[0.6B\]](https://doitong.com/developers/models/qwen-3-tts/text-to-speech/0.6b.md) (`qwen-3-tts/text-to-speech/0.6b`): $0.07 / 1000 characters
- [Qwen 3 TTS - Voice Design \[1.7B\]](https://doitong.com/developers/models/qwen-3-tts/voice-design/1.7b.md) (`qwen-3-tts/voice-design/1.7b`): $0.09 / 1000 characters
- [Qwen 3 TTS - Clone Voice \[0.6B\]](https://doitong.com/developers/models/qwen-3-tts/clone-voice/0.6b.md) (`qwen-3-tts/clone-voice/0.6b`): $0.0007 / minute of input audio
- [Qwen 3 TTS - Clone Voice \[1.7B\]](https://doitong.com/developers/models/qwen-3-tts/clone-voice/1.7b.md) (`qwen-3-tts/clone-voice/1.7b`): $0.0008 / minute of input audio
- [Eleven v4 Text to Speech](https://doitong.com/developers/models/elevenlabs/tts/eleven-v4.md) (`elevenlabs/tts/eleven-v4`): $0.08 / 1000 characters
- [MiniMax Speech 2.8 HD](https://doitong.com/developers/models/minimax/speech-2.8-hd.md) (`minimax/speech-2.8-hd`): $0.10 / 1000 characters
- [Qwen Audio 3.0 TTS (Flash)](https://doitong.com/developers/models/alibaba/qwen-audio-3-tts.md) (`alibaba/qwen-audio-3-tts`): $0.05 / 1000 characters
- [Async Text to Speech Pro V1.0](https://doitong.com/developers/models/async/tts-pro/v1.0.md) (`async/tts-pro/v1.0`): $0.01 / 1000 characters

## Links

- HTML page: https://doitong.com/developers/models/qwen-3-tts/text-to-speech/1.7b
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=qwen-3-tts/text-to-speech/1.7b
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/qwen-3-tts/text-to-speech/1.7b
